Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Guenter Roeck <[email-masked]>
Date: Tue, 15 Jul 2014 02:01:25 -0700

On 07/14/2014 10:55 PM, Stephen Rothwell wrote:
> Hi Guenter,
>
> On Mon, 14 Jul 2014 22:43:42 -0700 Guenter Roeck <[email-masked]> wrote:
>>
>> On 07/14/2014 08:29 PM, Stephen Rothwell wrote:
>>>
>>> After merging the v4l-dvb tree, today's linux-next build (powerpc ppc64_defconfig)
>>> failed like this:
>>>
>>> arch/powerpc/kernel/smp.c:764:2: error: initialization from incompatible pointer type [-Werror]
>>>     { cpu_smt_mask, powerpc_smt_flags, SD_INIT_NAME(SMT) },
>>>     ^
>>> arch/powerpc/kernel/smp.c:764:2: error: (near initialization for 'powerpc_topology[0].sd_flags') [-Werror]
>>>
>>> Caused by commit 6a0b50087a89 ("Merge branch 'patchwork' into
>>> to_next").  The change to include/linux/sched.h in this merge commit
>>> does not seem to appear in either of the parents of the merge.
>>>
>>> Its also a change that (when suggested) was shown to cause more
>>> problems than it was worth and dropped.  I can't imagine how it ended
>>> up in the merge commit.
>>>
>>
>> Do you mean b6220ad66 (sched: Fix compiler warnings) ? I thought that was accepted
>> a week or so ago.
>
> That is in the tip tree and includes the fixups to powerpc and arm.  I
> don't merge the tip tree till well after the v4l-dvb tree.  The merge
> in the v4l-dvb tree included only the change to include/linus/sched.h
> and neither parent fo that merge was based on the tip tree ...
>

Ah, looks like that is the older version of my patch. You are right, this version
did have problems.

Thanks,
Guenter